Package org.opensaml.xmlsec.impl

# Class IncludedAlgorithmsPredicate

java.lang.Object
org.opensaml.xmlsec.impl.IncludedAlgorithmsPredicate

All Implemented Interfaces:
  `Predicate<String>`

public class IncludedAlgorithmsPredicate extends Object implements Predicate<String>
Predicate which implements an algorithm URI inclusion policy.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Collection<String>`
`includes`
Included algorithms.

## Constructor Summary

Constructors
Constructor
Description
`IncludedAlgorithmsPredicate(Collection<String> algorithms)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(String input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Field Details

### includes

@Nonnull private Collection<String> includes
Included algorithms.

## Constructor Details

### IncludedAlgorithmsPredicate

public IncludedAlgorithmsPredicate(@Nonnull Collection<String> algorithms)
Constructor.

Parameters:
  `algorithms` - collection of included algorithms

## Method Details

### test

public boolean test(@Nullable String input)

Specified by:
  `test` in interface `Predicate<String>`